import React from "react";

import accordionPropTypes, {
  defaultProps,
  propsDescription
} from "./Accordion.propTypes";

import SkeletonThemeWrapper from "../../customization-cornor/skeletonCustomization";

let SkeletonWrapper = (props) => {
  let renderProps = {};
  let { renderComponent, ...basicProps } = props;
  return (
    <SkeletonThemeWrapper
      basicProps={basicProps}
      renderProps={renderProps}
      component={renderComponent}
    />
  );
};
export default function AccordionBehaviour(props) {
  return <SkeletonWrapper {...props} />;
}

AccordionBehaviour.propTypes = accordionPropTypes;
AccordionBehaviour.defaultProps = defaultProps;
AccordionBehaviour.propsDescription = propsDescription;
